import { isString } from "../../libs/types.mjs";
/**
 * apply schema
 * @param values input/output values
 * @param options options
 * @param keyStack key stack for error handling
 * @returns escapes from applyTo chain or not
 */

export function applyTo(values, options, keyStack) {
  const normalizedOptions = {
    trims: false,
    ...options
  };

  if (!normalizedOptions.trims) {
    return false;
  } // istanbul ignore next


  if (!isString(values.output)) {
    return false;
  }

  values.output = values.output.trim();
  return false;
}