import { Key, Values } from "./types";
export declare const CAUSE: {
    readonly TYPE: "type";
    readonly UNDEFINED: "undefined";
    readonly NULL: "null";
    readonly EMPTY_STRING: "empty-string";
    readonly ONLY: "only";
    readonly CONVERTER: "converter";
    readonly MIN_VALUE: "min-value";
    readonly MAX_VALUE: "max-value";
    readonly MIN_LENGTH: "min-length";
    readonly MAX_LENGTH: "max-length";
    readonly PATTERN: "pattern";
    readonly CHECKSUM: "checksum";
};
declare type CAUSE = typeof CAUSE[keyof typeof CAUSE];
/**
 * Value-Schema Error
 */
export declare class ValueSchemaError extends Error {
    readonly cause: CAUSE;
    readonly value: unknown;
    readonly keyStack: Key[];
    /**
     * throw an error
     * @param cause cause of error
     * @param values input/output values
     * @param keyStack path to key that caused error
     * @throws error object
     */
    static raise(cause: CAUSE, values: Values, keyStack: Key[]): never;
    /**
     * check whether error is instance of ValueSchemaError or not
     * @param err error to check
     * @returns Yes/No
     */
    static is(err: unknown): err is ValueSchemaError;
    /**
     * constructor
     * @param cause cause of error
     * @param value input value
     * @param keyStack path to key that caused error
     */
    constructor(cause: CAUSE, value: unknown, keyStack: Key[]);
}
export {};
